@font-face {
  font-family: "MaplestoryOTFBold";
  src: url("https://fastly.jsdelivr.net/gh/projectnoonnu/noonfonts_20-04@2.1/MaplestoryOTFBold.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

button {
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select:none;
  user-select:none;

  font-family: "MaplestoryOTFBold";
  background: linear-gradient(#eeeeee, #9198e5);
  border: 1px solid darkblue;
  border-radius: 5px;
  padding: 2px 12px;
  white-space: nowrap;
}

header {
  width: 600px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  padding: 20px;
}

container {
  display: flex;
  justify-content: center;
  margin-top: -10px;
}

#gameTime {
  border: 1px solid black;
  width: 400px;
  display: inline-block;
  text-align: center;
  font-size: 20px;
  font-weight: bold;
}

#stBtn {
  width: 96px;
  margin-left: 10px;
}

#content {
  position: relative;
  width: 50%;
  max-width: 540px;
  aspect-ratio: 1 / 1;
}

#playboard {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid black;
  box-sizing: border-box;
}

#playboard td {
  text-align: center;
  border: 1px solid black;
  cursor: pointer;
  font-family: "MaplestoryOTFBold";
  font-size: 3rem;
  box-sizing: border-box;
  width: 20%;
  height: 20%;
}


#statusBoard {
  width: 30%;
  max-width: 200px;
  max-height: 600px;
  display: flex;
  flex-direction: column;
  white-space: nowrap;
  margin-left: 10px;
}

.title {
  font-weight: bold;
  display: block;
}

.title:not(nth-last-child(1)) {
  margin-top: 20px;
}

.timeList {
  border: 1px solid black;
  display: block;
  margin-bottom: 20px;
  padding: 4px 10px;
}

#resetBtn {
  display: block;
  margin: 20px auto;
  width: 120px;
  font-size: 1.2rem;
}

footer {
  width: 100%;
  height: 20px;
  text-align: center;
  color: #999;
  margin-top: 80px;
}

footer > span > a {
  text-decoration: underline;
  cursor: pointer;
}

@media screen and (max-width: 768px) {
  header {
    width: 100%;
    max-width: 600px;
  }

  container {
    display: flex;
    flex-direction: column;
    margin-top: -10px;
    padding: 10px;
  }

  #content {
    width: 100%;
    margin: 0 auto;
  }

  #statusBoard {
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
    max-width: 540px;
    margin: 10px auto;
    /* padding: 0 10px; */
  }

  #statusBoard div {
    width: 33.33%;
    margin-right: 10px;
  }

  #statusBoard div:last-child {
    margin-right: 0;
  }

  #gameTime {
    width: 100%;
    max-width: 400px;
    display: inline-block;
  }
}

@media screen and (max-width: 450px) {
  #playboard td {
    font-size: 2.2rem;
  }
}